package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.second.vo.SecondUserViolationDetailVo;
import shop.alien.entity.store.LifeUserViolation;
import shop.alien.entity.store.UserLoginInfo;
import shop.alien.entity.store.dto.LifeUserViolationDto;

import java.io.IOException;
import java.util.Map;

/**
 * <p>
 * 用户举报 服务类
 * </p>
 *
 * @author ssk
 * @since 2025-04-29
 */
public interface LifeUserViolationService extends IService<LifeUserViolation> {

    int reporting(LifeUserViolation lifeuserViolation) throws Exception ;

    Map<String, Object> reportListByUserId(String userId);

    Map<String, Object> reportListById(String id);

    IPage<LifeUserViolationDto> getViolationPage(int page, int size, String nickName, String phone, String processingStatus);

    IPage<LifeUserViolationDto> getAllViolationPage(int page, int size, String nickName, String phone, String processingStatus, String startTime, String endTime, String reportContextType);

    void approve(int id, String processingStatus, String reportResult);

    LifeUserViolationDto byId(Integer id);

    LifeUserViolationDto byIdNotice(Integer id);

    String exportExcel(String nickName, String phone, String processingStatus) throws IOException;

    String level(UserLoginInfo userLoginInfo);

    SecondUserViolationDetailVo queryViolationDetail(Integer id, String reportContextType);
}
